Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_find_signal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_find_signal.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_find_signal.cpp	(revision 75)
@@ -12,9 +12,9 @@
 namespace behavioural          {
 
-  Signal * Interface::find_signal (string name)
+  Signal * Interface::find_signal (std::string name)
   {
     log_printf(FUNC,Behavioural,"find_signal","Begin");
 
-    list<Signal*>::iterator i   = _list_signal->begin();
+    std::list<Signal*>::iterator i   = _list_signal->begin();
     Signal *                sig = NULL;
     if (_list_signal->empty() == false)
@@ -41,5 +41,5 @@
 
     bool find = false;
-    list<Signal*>::iterator i = _list_signal->begin();
+    std::list<Signal*>::iterator i = _list_signal->begin();
     if (_list_signal->empty() == false)
       {
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_clock.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_clock.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_clock.cpp	(revision 75)
@@ -23,5 +23,5 @@
     if (not _list_signal->empty())
       {
-	list<Signal*>::iterator i     = _list_signal->begin();
+	std::list<Signal*>::iterator i     = _list_signal->begin();
 	
 	while (i != _list_signal->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_comment.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_comment.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_comment.cpp	(revision 75)
@@ -13,8 +13,8 @@
 namespace behavioural          {
 
-  string Interface::get_comment (void)
+  std::string Interface::get_comment (void)
   {
     log_printf(FUNC,Behavioural,"get_comment","Begin");
-    string res = _comment;
+    std::string res = _comment;
     log_printf(FUNC,Behavioural,"get_comment","End");
     return res;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_name.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_name.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_name.cpp	(revision 75)
@@ -12,8 +12,8 @@
 namespace behavioural          {
 
-  string Interface::get_name (void)
+  std::string Interface::get_name (void)
   {
     log_printf(FUNC,Behavioural,"get_name","Begin");
-    string res = _name;
+    std::string res = _name;
     log_printf(FUNC,Behavioural,"get_name","End");
     return res;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_reset.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_reset.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_reset.cpp	(revision 75)
@@ -23,5 +23,5 @@
     if (not _list_signal->empty())
       {
-	list<Signal*>::iterator i = _list_signal->begin();
+	std::list<Signal*>::iterator i = _list_signal->begin();
 	
 	while (i != _list_signal->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_signal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_signal.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_signal.cpp	(revision 75)
@@ -12,18 +12,18 @@
 namespace behavioural          {
 
-  string Interface::get_signal (void)
+  std::string Interface::get_signal (void)
   {
     log_printf(FUNC,Behavioural,"get_signal","Begin");
 
     uint32_t               depth          = 0;
-    string                 separator      = ",\n";
+    std::string                 separator      = ",\n";
     bool                   last_separator = false;
 
 
-    list<Signal*>::iterator i    = _list_signal->begin();
-    bool                   empty = _list_signal->empty();
+    std::list<Signal*>::iterator i    = _list_signal->begin();
+    bool                         empty = _list_signal->empty();
 
-    string                 tab   = string(depth,'\t');
-    ostringstream          text;
+    std::string                 tab   = std::string(depth,'\t');
+    std::ostringstream          text;
 
     if (not empty)
@@ -56,5 +56,5 @@
 #undef  FUNCTION
 #define FUNCTION "Interface::get_signal"
-  void Interface::get_signal (list<string> * & list_signal)
+  void Interface::get_signal (std::list<std::string> * & list_signal)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
@@ -62,5 +62,5 @@
     if (not _list_signal->empty())
       {
-	list<Signal*>::iterator i = _list_signal->begin();
+	std::list<Signal*>::iterator i = _list_signal->begin();
 	
 	while (i != _list_signal->end())
@@ -78,8 +78,8 @@
 #undef  FUNCTION
 #define FUNCTION "Interface::get_signal_list"
-  list<Signal *> * Interface::get_signal_list (void)
+  std::list<Signal *> * Interface::get_signal_list (void)
     {
       log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-      list<Signal *> * _return = _list_signal;
+      std::list<Signal *> * _return = _list_signal;
       log_printf(FUNC,Behavioural,FUNCTION,"End");
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_print.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_print.cpp	(revision 75)
@@ -12,15 +12,15 @@
 namespace behavioural          {
 
-  ostream& operator<< (ostream& output_stream,
-		       morpheo::behavioural::Interface & x)
+  std::ostream& operator<< (std::ostream& output_stream,
+			    morpheo::behavioural::Interface & x)
   {
     log_printf(FUNC,Behavioural,"operator<<","Begin");
 #ifdef POSITION
-    output_stream << x._name + "\t"+toString(x._localisation)+"\t"+toString(x._direction) << endl;
-    output_stream << x.get_comment() << endl;
+    output_stream << x._name + "\t"+toString(x._localisation)+"\t"+toString(x._direction) << std::endl;
+    output_stream << x.get_comment() << std::endl;
 #else
-    output_stream << x._name << endl;
+    output_stream << x._name << std::endl;
 #endif
-    output_stream << x.get_signal () << endl;
+    output_stream << x.get_signal () << std::endl;
 
 // #ifdef VHDL_TESTBENCH
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_comment.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_comment.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_comment.cpp	(revision 75)
@@ -13,5 +13,5 @@
 namespace behavioural          {
 
-  void Interface::set_comment (string comment)
+  void Interface::set_comment (std::string comment)
   {
     log_printf(FUNC,Behavioural,"set_comment","Begin");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_port.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_port.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_port.cpp	(revision 75)
@@ -18,5 +18,5 @@
     if (not _list_signal->empty())
       {
-	list<Signal*>::iterator i     = _list_signal->begin();
+	std::list<Signal*>::iterator i     = _list_signal->begin();
 	
 	while (i != _list_signal->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_signal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_signal.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_signal.cpp	(revision 75)
@@ -11,5 +11,5 @@
 namespace behavioural          {
 
-  Signal * Interface::set_signal (string          name     ,
+  Signal * Interface::set_signal (std::string          name     ,
 				  direction_t     direction,
 				  uint32_t        size     ,
@@ -18,5 +18,5 @@
     log_printf(FUNC,Behavioural,"set_signal","Begin");
 
-    string signame = signal_name(_name, name, direction);
+    std::string signame = signal_name(_name, name, direction);
 
     Signal * sig = new Signal       (signame, direction, size, presence_port);
@@ -39,5 +39,5 @@
     if (not _list_signal->empty())
       {
-	list<Signal*>::iterator i = _list_signal->begin();
+	std::list<Signal*>::iterator i = _list_signal->begin();
 	
 	while (i != _list_signal->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_signal_name.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_signal_name.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_signal_name.cpp	(revision 75)
@@ -11,13 +11,13 @@
 namespace behavioural          {
 
-  string Interface::signal_name          (string      name_interface,
-					  string      name_signal   ,
-					  direction_t direction     )
+  std::string Interface::signal_name          (std::string      name_interface,
+					       std::string      name_signal   ,
+					       direction_t direction     )
   {
     log_printf(FUNC,Behavioural,"signal_name","Begin");
 
-    string str_direction = toString(direction);
-    string str_interface = name_interface;
-    string str_signal    = name_signal;
+    std::string str_direction = toString(direction);
+    std::string str_interface = name_interface;
+    std::string str_signal    = name_signal;
 
     LowerCase(str_direction);    
@@ -25,5 +25,5 @@
     UpperCase(str_signal   );
     
-    string signame = str_direction;
+    std::string signame = str_direction;
     if (str_interface != "")
       signame += "_"+str_interface;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_test_map.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_test_map.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_test_map.cpp	(revision 75)
@@ -22,5 +22,5 @@
     log_printf(INFO,Behavioural,FUNCTION, "   * Interface \"%s\"",_name.c_str());
     
-    for (list<Signal*>::iterator i  = _list_signal->begin();
+    for (std::list<Signal*>::iterator i  = _list_signal->begin();
 	 i != _list_signal->end();
 	 ++i)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench.cpp	(revision 75)
@@ -19,5 +19,5 @@
     if (_list_signal->empty()== false)
       {
-	list<Signal*>::iterator i     = _list_signal->begin();
+	std::list<Signal*>::iterator i     = _list_signal->begin();
 
 	while (i != _list_signal->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_body.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_body.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_body.cpp	(revision 75)
@@ -14,6 +14,6 @@
 
   void Interface::testbench_body (Vhdl * & vhdl,
-				  string   counter_name,
-				  string   reset_name  )
+				  std::string   counter_name,
+				  std::string   reset_name  )
   {
     log_printf(FUNC,Behavioural,"testbench_body","Begin");
@@ -21,5 +21,5 @@
     if (_list_signal->empty()== false)
       {
-	list<Signal*>::iterator i = _list_signal->begin();
+	std::list<Signal*>::iterator i = _list_signal->begin();
 
 	vhdl->set_body("------------------------------------------------------");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test.cpp	(revision 75)
@@ -13,7 +13,7 @@
 namespace behavioural          {
 
-  string Interface::testbench_test (Vhdl * & vhdl,
-				    string   counter_name,
-				    string   reset_name  )
+  std::string Interface::testbench_test (Vhdl * & vhdl,
+				    std::string   counter_name,
+				    std::string   reset_name  )
   {
     log_printf(FUNC,Behavioural,"testbench_test","Begin");
@@ -23,6 +23,6 @@
     vhdl->set_body("");
 
-    string test_name    = testbench_test_name(vhdl);
-    string test_name_ok = testbench_test_ok     (vhdl);
+    std::string test_name    = testbench_test_name(vhdl);
+    std::string test_name_ok = testbench_test_ok     (vhdl);
 
     vhdl->set_body(test_name + " <= '1' when ("+reset_name+" = '0') else "+test_name_ok+";");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test_name.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test_name.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test_name.cpp	(revision 75)
@@ -13,9 +13,9 @@
 namespace behavioural          {
 
-  string Interface::testbench_test_name (Vhdl * & vhdl)
+  std::string Interface::testbench_test_name (Vhdl * & vhdl)
   {
     log_printf(FUNC,Behavioural,"testbench_test_name","Begin");
 
-    string name;
+    std::string name;
 
     name = "interface_";
@@ -31,9 +31,9 @@
   };
 
-  string Interface::testbench_test_ok_name (Vhdl * & vhdl)
+  std::string Interface::testbench_test_ok_name (Vhdl * & vhdl)
   {
     log_printf(FUNC,Behavioural,"testbench_test_ok_name","Begin");
 
-    string name;
+    std::string name;
 
     name = "interface_";
@@ -49,9 +49,9 @@
   };
 
-  string Interface::testbench_test_transaction_name (Vhdl * & vhdl)
+  std::string Interface::testbench_test_transaction_name (Vhdl * & vhdl)
   {
     log_printf(FUNC,Behavioural,"testbench_test_transaction_name","Begin");
 
-    string name;
+    std::string name;
 
     name = "interface_";
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test_ok.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test_ok.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test_ok.cpp	(revision 75)
@@ -13,9 +13,9 @@
 namespace behavioural          {
 
-  string Interface::testbench_test_ok (Vhdl * & vhdl)
+  std::string Interface::testbench_test_ok (Vhdl * & vhdl)
   {
     log_printf(FUNC,Behavioural,"testbench_test_ok","Begin");
 
-    string test_name = testbench_test_ok_name(vhdl);
+    std::string test_name = testbench_test_ok_name(vhdl);
 
     vhdl->set_body(test_name + " <= '1' when true");
@@ -24,5 +24,5 @@
     if (_list_signal->empty()== false)
       {
-	list<Signal*>::iterator i     = _list_signal->begin();
+	std::list<Signal*>::iterator i     = _list_signal->begin();
 
 	while (i != _list_signal->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_toXML.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_toXML.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_toXML.cpp	(revision 75)
@@ -28,5 +28,5 @@
     if (_list_signal->empty()== false)
       {
-	list<Signal*>::iterator i     = _list_signal->begin();
+	std::list<Signal*>::iterator i     = _list_signal->begin();
 
 	while (i != _list_signal->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces.cpp	(revision 75)
@@ -11,5 +11,5 @@
 namespace behavioural          {
 
-  Interfaces::Interfaces  (string   name,
+  Interfaces::Interfaces  (std::string   name,
 			   Tusage_t usage):
     _name  (name),
@@ -17,5 +17,5 @@
   {
     log_printf(FUNC,Behavioural,"Interfaces","Begin");
-    _list_interface = new list<Interface_fifo*>;
+    _list_interface = new std::list<Interface_fifo*>;
     log_printf(FUNC,Behavioural,"Interfaces","End");
   };
@@ -41,5 +41,5 @@
     if (_list_interface->empty()== false)
       {
-	list<Interface_fifo*>::iterator i     = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i     = _list_interface->begin();
 
 	while (i != _list_interface->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_find_interface.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_find_interface.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_find_interface.cpp	(revision 75)
@@ -13,5 +13,5 @@
 #undef  FUNCTION
 #define FUNCTION "Interfaces::find_interface"
-  Interface_fifo * Interfaces::find_interface (string name)
+  Interface_fifo * Interfaces::find_interface (std::string name)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
@@ -20,5 +20,5 @@
     if (_list_interface->empty()== false)
       {
-	list<Interface_fifo*>::iterator i = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i = _list_interface->begin();
 
 	while (i != _list_interface->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_find_signal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_find_signal.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_find_signal.cpp	(revision 75)
@@ -13,5 +13,5 @@
 #undef  FUNCTION
 #define FUNCTION "Interfaces::find_signal"
-  Signal * Interfaces::find_signal (string name)
+  Signal * Interfaces::find_signal (std::string name)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
@@ -20,5 +20,5 @@
     if (_list_interface->empty()== false)
       {
-	list<Interface_fifo*>::iterator i = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i = _list_interface->begin();
 
 	while (i != _list_interface->end())
@@ -51,5 +51,5 @@
     if (_list_interface->empty()== false)
       {
-	list<Interface_fifo*>::iterator i = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i = _list_interface->begin();
 
 	while (i != _list_interface->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_clock.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_clock.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_clock.cpp	(revision 75)
@@ -23,5 +23,5 @@
     if (not _list_interface->empty())
       {
-	list<Interface_fifo*>::iterator i = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i = _list_interface->begin();
 	
 	while (i != _list_interface->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_cycle.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_cycle.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_cycle.cpp	(revision 75)
@@ -22,5 +22,5 @@
     if (not _list_interface->empty())
       {
-	list<Interface_fifo*>::iterator i = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i = _list_interface->begin();
 	
 	while (i != _list_interface->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_interface.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_interface.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_interface.cpp	(revision 75)
@@ -14,17 +14,17 @@
 #undef  FUNCTION
 #define FUNCTION "Interfaces::get_interface"
-  string Interfaces::get_interface (void)
+  std::string Interfaces::get_interface (void)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
 
     uint32_t               depth          = 0;
-    string                 separator      = "\n";
+    std::string                 separator      = "\n";
     bool                   last_separator = false;
 
-    list<Interface_fifo*>::iterator i  = _list_interface->begin();
+    std::list<Interface_fifo*>::iterator i  = _list_interface->begin();
     bool                   empty = _list_interface->empty();
 
-    string                 tab   = string(depth,'\t');
-    ostringstream          text;
+    std::string                 tab   = std::string(depth,'\t');
+    std::ostringstream          text;
 
     if (not empty)
@@ -55,8 +55,8 @@
 #undef  FUNCTION
 #define FUNCTION "Interfaces::get_interface_list"
-  list<Interface_fifo*>* Interfaces::get_interface_list (void)
+  std::list<Interface_fifo*>* Interfaces::get_interface_list (void)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-    list<Interface_fifo*>* _return =  _list_interface;
+    std::list<Interface_fifo*>* _return =  _list_interface;
     log_printf(FUNC,Behavioural,FUNCTION,"End");
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_reset.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_reset.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_reset.cpp	(revision 75)
@@ -23,5 +23,5 @@
     if (not _list_interface->empty())
       {
-	list<Interface_fifo*>::iterator i     = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i     = _list_interface->begin();
 	
 	while (i != _list_interface->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_signal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_signal.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_signal.cpp	(revision 75)
@@ -17,5 +17,5 @@
 #undef  FUNCTION
 #define FUNCTION "Interfaces::get_signal"
-  void Interfaces::get_signal (list<string> * & list_signal)
+  void Interfaces::get_signal (std::list<std::string> * & list_signal)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
@@ -23,5 +23,5 @@
     if (not _list_interface->empty())
       {
-	list<Interface_fifo*>::iterator i = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i = _list_interface->begin();
 	
 	while (i != _list_interface->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_print.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_print.cpp	(revision 75)
@@ -15,9 +15,9 @@
 #undef  FUNCTION
 #define FUNCTION "Interfaces::operator<<"
-  ostream& operator<< (ostream& output_stream ,
-		       morpheo::behavioural::Interfaces & x)
+  std::ostream& operator<< (std::ostream& output_stream ,
+			    morpheo::behavioural::Interfaces & x)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-    output_stream << x.get_interface () << endl;
+    output_stream << x.get_interface () << std::endl;
     log_printf(FUNC,Behavioural,FUNCTION,"End");
     return output_stream;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_interface.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_interface.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_interface.cpp	(revision 75)
@@ -13,5 +13,5 @@
 #undef  FUNCTION
 #define FUNCTION "Interfaces::set_interface"
-  Interface_fifo * Interfaces::set_interface (string         name        
+  Interface_fifo * Interfaces::set_interface (std::string         name        
 #ifdef POSITION
 					      ,direction_t    direction   
@@ -38,8 +38,8 @@
 #undef  FUNCTION
 #define FUNCTION "Interfaces::set_interface"
-  Interface_fifo * Interfaces::set_interface (string         name        ,
+  Interface_fifo * Interfaces::set_interface (std::string         name        ,
 					      direction_t    direction   ,
 					      localisation_t localisation,
-					      string         comment     )
+					      std::string         comment     )
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_port.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_port.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_port.cpp	(revision 75)
@@ -20,5 +20,5 @@
     if (not _list_interface->empty())
       {
-	list<Interface_fifo*>::iterator i     = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i     = _list_interface->begin();
 	
 	while (i != _list_interface->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_signal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_signal.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_signal.cpp	(revision 75)
@@ -21,5 +21,5 @@
     if (not _list_interface->empty())
       {
-	list<Interface_fifo*>::iterator i = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i = _list_interface->begin();
 	
 	while (i != _list_interface->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_test_map.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_test_map.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_test_map.cpp	(revision 75)
@@ -22,5 +22,5 @@
     log_printf(INFO,Behavioural,FUNCTION, "   * Interfaces \"%s\"",_name.c_str());
     
-    for (list<Interface_fifo*>::iterator i  = _list_interface->begin();
+    for (std::list<Interface_fifo*>::iterator i  = _list_interface->begin();
 	 i != _list_interface->end();
 	 ++i)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench.cpp	(revision 75)
@@ -19,5 +19,5 @@
     if (_list_interface->empty()== false)
       {
-	list<Interface_fifo*>::iterator i     = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i     = _list_interface->begin();
 
 	while (i != _list_interface->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench_body.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench_body.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench_body.cpp	(revision 75)
@@ -13,22 +13,22 @@
 namespace behavioural          {
 
-  string Interfaces::testbench_body (Vhdl * & vhdl,
-				     string   counter_name,
-				     string   reset_name  )
+  std::string Interfaces::testbench_body (Vhdl * & vhdl,
+				     std::string   counter_name,
+				     std::string   reset_name  )
   {
     log_printf(FUNC,Behavioural,"testbench_body","Begin");
 
-    string test      = "'1'";
-    string test_name = "test";
+    std::string test      = "'1'";
+    std::string test_name = "test";
     vhdl->set_signal(test_name,1);
 
     if (_list_interface->empty()== false)
       {
-	list<Interface_fifo*>::iterator i = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i = _list_interface->begin();
 
 	while (i != _list_interface->end())
 	  {
 	    (*i)->testbench_body(vhdl, counter_name, reset_name);
-	    string str = (*i)->testbench_test(vhdl, counter_name, reset_name);
+	    std::string str = (*i)->testbench_test(vhdl, counter_name, reset_name);
 
 	    test += " and "+str;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench_generate_file.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench_generate_file.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench_generate_file.cpp	(revision 75)
@@ -18,9 +18,9 @@
 
     Vhdl   * vhdl        = new Vhdl(_name+"_Testbench");
-    string   counter     = "counter";
+    std::string   counter     = "counter";
     Signal * clock       = this->get_clock();
     Signal * reset       = this->get_reset();
-    string   clock_name  = clock->get_name();
-    string   reset_name  = reset->get_name();
+    std::string   clock_name  = clock->get_name();
+    std::string   reset_name  = reset->get_name();
     uint32_t cycle       = this->get_cycle();
 
@@ -36,5 +36,5 @@
     vhdl->set_body("");
 
-    list<string> * list_signal = new list<string>;
+    std::list<std::string> * list_signal = new std::list<std::string>;
     this->get_signal (list_signal);
 
@@ -43,5 +43,5 @@
     vhdl->set_body("port map (");
 
-    list<string>::iterator i   = list_signal->begin();
+    std::list<std::string>::iterator i   = list_signal->begin();
     if (i != list_signal->end())
       {
@@ -58,5 +58,5 @@
     delete list_signal;
 
-    string test_name = this->testbench_body(vhdl,counter, reset_name);
+    std::string test_name = this->testbench_body(vhdl,counter, reset_name);
 
     vhdl->set_body("");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_toXML.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_toXML.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_toXML.cpp	(revision 75)
@@ -22,5 +22,5 @@
     if (_list_interface->empty()== false)
       {
-	list<Interface_fifo*>::iterator i     = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i     = _list_interface->begin();
 
 	while (i != _list_interface->end())
@@ -45,5 +45,5 @@
     if (_list_interface->empty()== false)
       {
-	list<Interface_fifo*>::iterator i     = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i     = _list_interface->begin();
 
 	while (i != _list_interface->end())
